Bug 697751 - ResourcePackageDetails.getFileName() returns "c:\fakepath\xa.rar" when uploading file in Chrome and IE
ResourcePackageDetails.getFileName() returns "c:\fakepath\xa.rar" when upload...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.0.0.Beta1
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq401
  Show dependency treegraph
 
Reported: 2011-04-19 02:06 EDT by Lin Gao
Modified: 2011-05-23 21:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug_demo.jar (9.47 KB, application/x-java-archive)
2011-04-19 02:06 EDT, Lin Gao
no flags Details

  None (edit)
Description Lin Gao 2011-04-19 02:06:42 EDT
Created attachment 493087 [details]
bug_demo.jar

Description of problem:


Version-Release number of selected component (if applicable):

RHQ
Version: 4.0.0.Beta1
Build Number: eff8946

GWT Version: 2.0.4
SmartGWT Version: 2.4


How reproducible:

Steps to Reproduce:
1. Install the plugin which is attached in this issue(bug_demo.jar).
2. In the imported Bug_Demo resource component inventory tab, click 'Create Child'.
3. In Chrome and IE 8, select one file to upload separately.
4. Click refresh button at bottom of the inventory tab page.
  
Actual results:
c:\fakepath\xa.rar in displayed.

Expected results:
xa.rar is displayed.

Additional info:
Comment 1 Lin Gao 2011-04-19 02:12:53 EDT
This issue occurs on Chrome(version: 7.0.517 and version: 10.0.648.205 at least), IE 8. It works fine in Firefox(version:3.6.15).
Comment 2 Mike Foley 2011-05-10 10:21:53 EDT
i see this fixed in master now
Comment 3 John Mazzitelli 2011-05-10 14:38:52 EDT
this was fixed in master : dc67f7b6b6750537b253aaf21acbebcc6b72fc0d
Comment 4 John Mazzitelli 2011-05-10 14:40:43 EDT
cherry picked to release-4.0.0 branch: a63fb2677ec5263b8a2aa1486958f37a56db6376
Comment 5 Mike Foley 2011-05-12 14:08:36 EDT
verified as follows in rhq 4.0.1.  uploaded bug_demo.jar on Administration/Plugins.  Confirmed that plugin named "CreateChildBug" was uploaded and displayed on the plugin page. On the agent, did "plugins update".  In RHQ, observed the resource "Bug Demo" was auto-discovered.  Imported the resource named "Bug Demo".  From Inventory, right-click context menu and uploaded a file.  I did this upload on 3 browsers -- FF, IE8, and Chrome.
Comment 6 Corey Welton 2011-05-23 21:12:35 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:12:35 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.